<?php
/**
 * This module displays social sharing buttons for Joomla 3+
 *
 * @package     Joomla.mod_scorpion_socialshare
 * @subpackage  Modules
 * @link        http://ScorpionComputers.nl
 * @license     GNU/GPL, see LICENSE.php
 * mod_scorpion_socialshare is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Include the syndicate functions only once
require_once( dirname(__FILE__).'/helper.php' );

$doc = JFactory::getDocument();
$url = JURI::getInstance()->toString();
$title = $doc->getTitle();
$doc->addStyleSheet('https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css');
$doc->addStyleSheet('modules/mod_scorpion_socialshare/mod_scorpion_socialshare.css');
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
$showFacebook = $params->get( 'showFacebook' );
$showTwitter = $params->get( 'showTwitter' );
$showGooglePlus = $params->get( 'showGooglePlus' );
$showLinkedIn = $params->get( 'showLinkedIn' );
$showPinterest = $params->get( 'showPinterest' );
$showEmail = $params->get( 'showEmail' );
$shareBaseURL = $params->get( 'shareBaseURL' );
$shareOtherURL = $params->get( 'shareOtherURL' );
$buttonPosition = $params->get( 'buttonPosition' );
$buttonPositionOffset = $params->get( 'buttonPositionOffset' );
$buttonStyle = $params->get( 'buttonStyle' );
$showLabels = $params->get( 'showLabels' );
$hideOnMobile = $params->get( 'hideOnMobile' );
$addMetatagsOG = $params->get( 'addMetatagsOG' );
$addMetatagsTW = $params->get( 'addMetatagsTW' );
$metaWebsiteName = $params->get( 'metaWebsiteName' );
$metaWebsiteImage = $params->get( 'metaWebsiteImage' );
$buttonStyleColor = $params->get( 'buttonStyleColor' );
$buttonStyleBackgroundColor = $params->get( 'buttonStyleBackgroundColor' );

$facebookURL = modScorpionSocialShare::getSocialShareURL( 'facebook', $params );
$twitterURL = modScorpionSocialShare::getSocialShareURL( 'twitter', $params );
$googlePlusURL = modScorpionSocialShare::getSocialShareURL( 'googleplus', $params );
$linkedInURL = modScorpionSocialShare::getSocialShareURL( 'linkedin', $params );
$pinterestURL = modScorpionSocialShare::getSocialShareURL( 'pinterest', $params );
$emailURL = modScorpionSocialShare::getSocialShareURL( 'email', $params );

modScorpionSocialShare::setOpenGraphMetaTags($params);

require( JModuleHelper::getLayoutPath( 'mod_scorpion_socialshare' ) );

?>
